Event::pending
Event::setPriority
Event
PHP Manual

# Event::set

(PECL libevent >= 0.0.1)

Event::set — Re-configures event

### Description

public bool Event::set ( EventBase `$base` , mixed `$fd` [, int `$what` [, callable `$cb` [, mixed `$arg` ]]] )

Re-configures event. Note, this function doesn't invoke obsolete libevent's event_set. It calls event_assign instead.

### Parameters

`base`

  The event base to associate the event with.

`fd`

  A stream, socket resource, or numeric file descriptor; for signal events pass `-1` .

`what`

  See Event flags .

`cb`

  The event callback. See Event callbacks .

`arg`

  Custom data associated with the event. It will be passed to the callback when the event becomes active.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

Event::pending
Event::setPriority
Event
PHP Manual